package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaCrawlerMappingDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCrawlerMapping;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaCrawlerMappingService")
public class CentralMetaCrawlerMappingService {

  @Autowired
  private MetaCrawlerMappingDAO metaCrawlerMappingDAO;

  public List<MetaCrawlerMapping> readAll() throws OverflowException {
    return this.metaCrawlerMappingDAO.findAll();
  }
}
