package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaTargetTypeCategoryMappingDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaTargetTypeCategoryMapping;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaTargetTypeCategoryMappingService")
public class CentralMetaTargetTypeCategoryMappingService {

  @Autowired
  private MetaTargetTypeCategoryMappingDAO metaTargetTypeCategoryMappingDAO;

  public List<MetaTargetTypeCategoryMapping> readAll() throws OverflowException {
    return this.metaTargetTypeCategoryMappingDAO.findAll();
  }
}
