package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaEmailTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaEmailType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaEmailTypeService")
public class CentralMetaEmailTypeService {

  @Autowired
  private MetaEmailTypeDAO metaEmailTypeDAO;

  public List<MetaEmailType> readAll() throws OverflowException {
    return this.metaEmailTypeDAO.findAll();
  }
}
