package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaTargetHostTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaTargetHostType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaTargetHostTypeService")
public class CentralMetaTargetHostTypeService {

  @Autowired
  private MetaTargetHostTypeDAO metaTargetHostTypeDAO;

  public List<MetaTargetHostType> readAll() throws OverflowException {
    return this.metaTargetHostTypeDAO.findAll();
  }
}
