package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaTargetServiceTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaTargetServiceType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaTargetServiceTypeService")
public class CentralMetaTargetServiceTypeService {

  @Autowired
  private MetaTargetServiceTypeDAO metaTargetServiceTypeDAO;

  public List<MetaTargetServiceType> readAll() throws OverflowException {
    return this.metaTargetServiceTypeDAO.findAll();
  }
}
