package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaTargetStatusDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaTargetStatus;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaTargetStatusService")
public class CentralMetaTargetStatusService {

  @Autowired
  private MetaTargetStatusDAO metaTargetStatusDAO;

  public List<MetaTargetStatus> readAll() throws OverflowException {
    return this.metaTargetStatusDAO.findAll();
  }
}
