package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaTargetTypeCategoryDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaTargetTypeCategory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaTargetTypeCategoryService")
public class CentralMetaTargetTypeCategoryService {

  @Autowired
  private MetaTargetTypeCategoryDAO metaTargetTypeCategoryDAO;

  public List<MetaTargetTypeCategory> readAll() throws OverflowException {
    return this.metaTargetTypeCategoryDAO.findAll();
  }
}
