package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaTargetTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaTargetType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaTargetTypeService")
public class CentralMetaTargetTypeService {

  @Autowired
  private MetaTargetTypeDAO metaTargetTypeDAO;

  public List<MetaTargetType> readAll() throws OverflowException {
    return this.metaTargetTypeDAO.findAll();
  }
}
